﻿using Syncfusion.SfSchedule.XForms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace ScheduleHeader
{
    public class ScheduleViewModel : INotifyPropertyChanged
    {
        public ScheduleViewModel()
        {
            
        }

        private ScheduleView view = ScheduleView.MonthView;

        public ScheduleView ScheduleType
        {
            get { return view; }
            set { view = value;

                RaiseOnPropertyChanged("ScheduleType");
            }
        }

        

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaiseOnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
